set_write_alpha_blender(3)

NAME
set_write_alpha_blender

SYNOPSIS
#include <allegro.h>

void set_write_alpha_blender();

DESCRIPTION
Enables the special alpha-channel editing mode, which is used for drawing alpha channels over the top of an existing 32 bit RGB sprite, to turn it into an RGBA format image. After calling this function, you can set the drawing mode to DRAW_MODE_TRANS and then write draw color values (0-255) onto a 32 bit image. This will leave the color values unchanged, but alter the alpha to whatever values you are writing. After enabling this mode you can also use draw_trans_sprite() to superimpose an 8 bit alpha mask over the top of an existing 32 bit sprite.

SEE ALSO
set_alpha_blender(3), draw_trans_sprite(3), drawing_mode(3)